explain_fstat_or_die(3)

NAME
explain_fstat_or_die - get file status and report errors

SYNOPSIS
#include <libexplain/fstat.h>

void explain_fstat_or_die(int fildes, struct stat *buf);

DESCRIPTION
The explain_fstat_or_die function is used to call the fstat(2) system call. On failure an explanation will be printed to stderr, obtained from explain_fstat(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_fstat_or_die(fildes, buf);

fildes
    The fildes, exactly as to be passed to the fstat(2) system call.

buf The buf, exactly as to be passed to the fstat(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

fstat(2)
    get file status

explain_fstat(3)
    explain fstat(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller